/************************************************************************/
/*                                                                      */
/*      Zoom Page  -  Firefox Extension  -  Preferences                 */
/*                                                                      */
/*      Javascript for Preferences defaults                             */
/*                                                                      */
/*      Copyright (C) 2009-2017  by  DW-dev                             */
/*                                                                      */
/*      Last Edit  -  15 Aug 2017                                       */
/*                                                                      */
/************************************************************************/

pref("extensions.zoompage.legacydonotshow",true);

pref("extensions.zoompage.firstrun",true);
pref("extensions.zoompage.odisdonotshow",false);

/* General */

pref("extensions.zoompage.zoommode",2);
pref("extensions.zoompage.defaulttype",1);
pref("extensions.zoompage.imagezoommode",1);
pref("extensions.zoompage.imagedefftwtype",1);
pref("extensions.zoompage.buttonstyle","n");
pref("extensions.zoompage.buttoncolors",0);
pref("extensions.zoompage.swapmouseclicks",false);
pref("extensions.zoompage.usezoomstep",false);
pref("extensions.zoompage.showindicator",false);
pref("extensions.zoompage.expprefix",false);
pref("extensions.zoompage.defprefix",false);
pref("extensions.zoompage.defborder",true);
pref("extensions.zoompage.ftwprefix",false);
pref("extensions.zoompage.ftwborder",true);
pref("extensions.zoompage.ssprefix",false);
pref("extensions.zoompage.ssborder",true);
pref("extensions.zoompage.fpprefix",false);
pref("extensions.zoompage.toprefix",false);
pref("extensions.zoompage.toitalic",true);
pref("extensions.zoompage.tored",true);
pref("extensions.zoompage.pcsuffix",true);

/* Zoom Levels */

pref("extensions.zoompage.zoomlevels",0);
pref("extensions.zoompage.customlevels","100");
pref("extensions.zoompage.zoomstep",1);
pref("extensions.zoompage.editcustomlevels","100");
pref("extensions.zoompage.defaultlevel",100);
pref("extensions.zoompage.textminlevel",30);
pref("extensions.zoompage.fittowidthmin",67);
pref("extensions.zoompage.fittowidthmax",120);
pref("extensions.zoompage.fittowidthful",150);
pref("extensions.zoompage.specialenable",false);
pref("extensions.zoompage.imgdefaultlevel",100);
pref("extensions.zoompage.imgfittowindowmin",1);
pref("extensions.zoompage.imgfittowindowmax",300);

/* Image Zoom */

pref("extensions.zoompage.imageposition",2);
pref("extensions.zoompage.imagebackground",1);
pref("extensions.zoompage.imagearoundcolor","#222222");
pref("extensions.zoompage.imagebehindcolor","#E5E5E5");
pref("extensions.zoompage.imgclickftwdef",true);
pref("extensions.zoompage.imghorizscroll",true);

/* Shortcut Keys */

pref("extensions.zoompage.zmshortdefftw","[");
pref("extensions.zoompage.zmshortssexp","]");
pref("extensions.zoompage.zlshortftwdef","'");
pref("extensions.zoompage.zlshortignoress","\\");
pref("extensions.zoompage.ztshortfpto",";");
pref("extensions.zoompage.ztshort1d2d",";");
pref("extensions.zoompage.zsshortzoomin","+");
pref("extensions.zoompage.zsshortzoomout","_");

/* For migration to Version 5.0 */

pref("extensions.zoompage.migrated50",false);
pref("extensions.zoompage.leftclick",false);
pref("extensions.zoompage.defaultzoom",100);

/* For migration to Version 6.0 */

pref("extensions.zoompage.migrated60",false);
pref("extensions.zoompage.automaticzoom",2);

/* For migration to Version 7.0 */

pref("extensions.zoompage.migrated70",false);
pref("extensions.zoompage.automaticmode",2);
pref("extensions.zoompage.prefixpercent",false);
pref("extensions.zoompage.italicpercent",true);
pref("extensions.zoompage.redpercent",false);

/* For migration to Version 8.0 */

pref("extensions.zoompage.migrated80",false);

/* For migration to Version 10.0 */

pref("extensions.zoompage.migrated100",false);

/* For migration to Version 13.2 */

pref("extensions.zoompage.migrated132",false);

/* For migration to Version 14.3 */

pref("extensions.zoompage.migrated143",false);
pref("extensions.zoompage.swapactions",false);
